Skip to main content
The /v1/version endpoint returns the currently running Valorant game version. You can use this to detect when a new patch has shipped and decide whether to refresh your cached game data. The response includes the branch, build identifiers, Unreal Engine version, and the date of the build.

Endpoint

GET https://astra.teamfortuna.xyz/v1/version

Request

The User-Agent header is required for all requests to the Astra API. Use the format AppName/Version (+URL).
curl https://astra.teamfortuna.xyz/v1/version \
  -H "User-Agent: MyApp/1.0 (+https://example.com)"

Response fields

status
number
HTTP status code of the response (e.g. 200).
data
object

Example response

{
  "status":200,
  "data":{
    "manifestId":"CB28ECF93BF4E14F",
    "branch":"release-12.07",
    "version":"12.07.00.4488404",
    "buildVersion":"9",
    "engineVersion":"5.3.2.0",
    "riotClientVersion":"release-12.07-shipping-9-4488404",
    "riotClientBuild":"26.1.4.0",
    "buildDate":"2049-11-12T10:32:53+00:00"
  }
}
Poll this endpoint periodically to determine when to refresh your cached game data. When buildDate or buildVersion changes, a new patch has shipped and assets such as agents, maps, and weapons may have been updated.